initialize charge for wallet payments

A сharge for the wallet is a method that creates a token to utilize in the Client SDK. It initializes payments using Apple/Google Pay, PayPal Smart, AfterPay, etc.

Request query params

fieldtypedescription
captureboolAutomatically capturing or just authorize. By default true

Request body

fieldrequired [flow]typedescription
amount+floatAn amount of the payment
currency+string (iso4217 alpha-3)A currency code
description-stringA manually defined description for payments in payment systems
reference-stringA manually defined reference for payments in payment systems
customer+objectAn object with the customer’s information
customer.first_name-stringA customer's first name
customer.last_name-stringA customer's last name
customer.email-stringA customer's email
customer.phone-string(E.164)A customer's phone in the E.164 international notation (Example: +12345678901)
customer.reference-stringA customer's reference
customer.payment_source+objectAn object with payment source information
customer.payment_source.gateway_id+string (24 hex characters)A gateway ID used for the customer's payment source
customer.payment_source.address_line1-stringThe customer's payment source address, line 1
customer.payment_source.address_line2-stringThe customer's payment source address, line 2
customer.payment_source.address_line3-stringThe customer's payment source address, line 3
customer.payment_source.city-stringThe customer's payment source address city
customer.payment_source.state-stringThe customer's payment source address state
customer.payment_source.postcode-stringThe customer's payment source address post code
customer.payment_source.country-stringThe customer's payment source address country
meta.store_id-stringA store ID (required for a Flypay gateway)
meta.store_name-stringA store name (required for Flypay and Apple Pay (via MPGS) gateways)
meta.success_url-stringMerchant site success redirect URL (required for Afterpay)
meta.error_url-stringMerchant site error redirect URL (required for Afterpay)
shipping-objectShipping details of the transaction
shipping.address_line1-stringThe customer's shipping address, line 1
shipping.address_line2-stringThe customer's shipping address, line 2
shipping.address_line3-stringThe customer's shipping address, line 3
shipping.address_state-stringThe customer's shipping address, state
shipping.address_country-stringThe customer's shipping address, country
shipping.address_city-stringThe customer's shipping address, city
shipping.address_postcode-stringThe customer's shipping address, postcode
shipping.address_origin_postcode-stringThe customer's shipping address, origin postcode
shipping.address_company-stringThe customer's shipping address, company
shipping.method-stringThe customer's shipping method for a transaction
shipping.amount-stringThe customer's shipping amount (required for Afterpay)
shipping.currency-stringThe customer's shipping currency (required for Afterpay)
shipping.contact-objectThe customer's shipping contact info
shipping.contact.phone-stringThe customer's shipping contact phone number
shipping.contact.first_name-stringThe customer's shipping contact first name
shipping.contact.last_name-stringThe customer's shipping contact last name
items-arrayOnly for Afterpay (optional), each item could have amount, name, type, quantity, item_uri and image_uri.
items[].name-stringItem name
items[].type-stringItem type
items[].quantity-numberItem quantity
items[].item_uri-stringItem uri
items[].image_uri-stringItem image uri
item[].amount-string (numeric)Item amount

Response body

fieldrequired [flow]typedescription
token+stringA token to be used in the Client SDK to process Apple/Google Pay, PayPal Smart, AfterPay, etc. transactions
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
Headers
string

This is your PowerBoard API Secret Key

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json